from setuptools import find_packages, setup
from os import path
working_directory = path.abspath(path.dirname(__file__))

with open(path.join(working_directory, 'README.md'), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name='cfg_analysis_tool_py',
    packages=find_packages(include=['cfg_analysis_tool_py']),
    version='0.1.0',
    description='CFG Analysis Tool',
    long_description=long_description,
    long_description_content_type='text/markdown',
    author='group 6',
    install_requires = [
        "aiohttp==3.9.1",
        "aiosignal==1.3.1",
        "anyio==4.1.0",
        "attrs==23.1.0",
        "certifi==2023.11.17",
        "cfgv==3.4.0",
        "charset-normalizer==3.3.2",
        "click==8.1.7",
        "contourpy==1.2.0",
        "coverage==7.3.3",
        "cycler==0.12.1",
        "datasets==2.14.7",
        "dill==0.3.7",
        "distlib==0.3.8",
        "fastapi==0.97.0",
        "filelock==3.13.1",
        "fonttools==4.46.0",
        "frozenlist==1.4.0",
        "fsspec==2023.10.0",
        "h11==0.14.0",
        "huggingface-hub==0.19.4",
        "identify==2.5.33",
        "idna==3.6",
        "kiwisolver==1.4.5",
        "matplotlib==3.8.0",
        "multidict==6.0.4",
        "multiprocess==0.70.15",
        "networkx==3.1",
        "nodeenv==1.8.0",
        "numpy==1.26.2",
        "packaging==23.2",
        "pandas==2.1.4",
        "Pillow==10.1.0",
        "platformdirs==4.1.0",
        "pre-commit==3.4.0",
        "pyarrow==14.0.1",
        "pyarrow-hotfix==0.6",
        "pydantic==1.10.13",
        "pygraphviz==1.11",
        "pyparsing==3.1.1",
        "python-dateutil==2.8.2",
        "pytz==2023.3.post1",
        "PyYAML==6.0.1",
        "requests==2.31.0",
        "six==1.16.0",
        "sniffio==1.3.0",
        "starlette==0.27.0",
        "tqdm==4.66.1",
        "tree-sitter==0.23.2",
        "tree-sitter-python==0.23.5",
        "typing_extensions==4.9.0",
        "tzdata==2023.3",
        "urllib3==2.1.0",
        "uvicorn==0.22.0",
        "virtualenv==20.25.0",
        "xxhash==3.4.1",
        "yarl==1.9.4"
    ]
)
